## NAME

r.resamp.stats - Resamples raster map layers to a coarser grid using aggregation.

## KEYWORDS

raster, resample

## SYNOPSIS

r.resamp.stats
r.resamp.stats help
r.resamp.stats [-nw] input=name output=name [method=string] [--overwrite] [--verbose] [--quiet]

### Flags:

-n
  Propagate NULLs
-w
  Weight according to area (slower)
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster map
output=name
  Name for output raster map
method=string
  Aggregation method
  Options: average,median,mode,minimum,maximum,quart1,quart3,perc90,sum,variance,stddev
  Default: average

## DESCRIPTION

r.resamp.stats fills a grid cell (raster) matrix with aggregated values generated from a set of input layer data points.

Without the -w switch, the aggregate is computed over all of the input cells whose centers lie within the output cell.

With the -w switch, the aggregate uses the values from all input cells which intersect the output cell, weighted according to the proportion of the source cell which lies inside the output cell. This is slower, but produces a more accurate result.

## NOTES

Resampling modules (r.resample, r.resamp.stats, r.resamp.interp, r.resamp.rst) resample the map to match the current region settings.

The notion of weighting doesn't make any sense for the min and max aggregates. However, the -w flag still has significance in that, when multiple destination cells overlap a source cell, the source cell is included in the calculation of all of the destination cells.

## EXAMPLE

Resample elevation raster map to a lower resolution (from 6m to 20m; North Carolina sample dataset):

    g.region rast=el_D782_6m -p
    g.region res=20 -ap
    r.resamp.stats input=el_D782_6m output=el_D782_20m

## SEE ALSO

g.region, r.resample, r.resamp.rst r.resamp.interp

## AUTHOR

Glynn Clements

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team